<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <script>

        // console.log('Hakkame küsima ettevõtteid: ');
        
        // function getCompaniesListThenApproach() {
        //     let companyListPromise = fetch('http://192.168.55.113:8101/companies');
        //     companyListPromise.then(
        //     function (theDataDromNet){
        //         let jsObject = theDataDromNet.json();
        //         return jsObject;
        //     }
             
        // ).then(
        //     function (companies){
        //         console.log(companies);
        //     }
        // ).catch(
        //     function(error){
        //         console.log("Mingi jama");
        //         console.log(error);
        //     }
        // );
        // }
        // getCompaniesListThenApproach();
        console.log("Ettevõtted küsitud, promise objekt kätte saadud");

        console.log('Hakkame küsima async meetodil ettevõtteid: ');
        async function getCompaniesWithAsyncApproach(){
            console.log("Hakkame fetch() järel ootama....");
            let result = await fetch('http://192.168.55.113:8101/companies');
            let companies = await result.json();
            console.log("Meie ettevõtted on siin...", companies);
            console.log("Valmis, fetch() meetod lõpetas tegevuse!");

        }
         getCompaniesWithAsyncApproach();


        </script>


</body>
</html>